# $Revision: 1.55 $, $Date: 2010/07/29 09:02:25 $
# TODO:
#  - package /usr/lib/qt4/plugins/designer/* ?
#  - better place for %{py_sitedir}/dbus{,/mainloop} dirs ?

%define		module	PyQt4
%define		sipver  2:4.10.5

Summary:	Python bindings for the Qt4 toolkit
Summary(pl.UTF-8):	Dowiązania do toolkitu Qt4 dla Pythona
Name:		python-%{module}
Version:	4.7.4
Release:	3
License:	GPL v2
Group:		Libraries/Python
Source0:	http://www.riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-%{version}.tar.gz
# Source0-md5:	88e9f1bc467cccf424d2032e3470982c
Patch0:		%{name}-dbuspath.patch
Patch1:		%{name}-64bit.patch
URL:		http://www.riverbankcomputing.com/software/pyqt/
BuildRequires:	QtAssistant-devel
BuildRequires:	QtDesigner-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtHelp-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtTest-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	pkgconfig
BuildRequires:	python-dbus-devel >= 0.80
BuildRequires:	python-sip-devel >= %{sipver}
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-phonon-devel
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-libs
Requires:	python-dbus
Requires:	python-sip >= %{sipver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_sipfilesdir	%{_datadir}/sip

%description
PyQt4 is a set of Python bindings for the Qt4 toolkit. The bindings
are implemented as a set of Python modules: QtAssistant, QtCore,
QtDesigner, QtGui, QtHelp, QtNetwork, QtOpenGL, QtScript, QtSql,
QtSvg, QtTest, QtWebKit, QtXmlPatterns and QtXml.

%description -l pl.UTF-8
PyQt4 to zbiór dowiązań do Qt4 dla Pythona. Dowiązania zostały
zaimplementowane jako moduły Pythona: QtAssistant, QtCore, QtDesigner,
QtGui, QtHelp, QtNetwork, QtOpenGL, QtScript, QtSql, QtSvg, QtTest,
QtWebKit, QtXmlPatterns i QtXml.

%package devel
Summary:	Files needed to build other bindings based on Qt4
Summary(pl.UTF-8):	Pliki potrzebne do budowania innych dowiązań bazowanych na Qt4
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-sip-devel

%description devel
Files needed to build other bindings for C++ classes that inherit from
any of the Qt4 classes (e.g. KDE or your own).

%description devel -l pl.UTF-8
Pliki potrzebne do budowania innych dowiązań do klas C++
dziedziczących z dowolnej klasy Qt4 (np. KDE lub własnych).

%package examples
Summary:	Examples for PyQt4
Summary(pl.UTF-8):	Przykłady do PyQt4
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Examples code demonstrating how to use the Python bindings for Qt4.

%description examples -l pl.UTF-8
Przykładowy kod demonstrujący jak używać PyQt4.

%package -n qscintilla2-%{module}-api
Summary:	PyQt4 API file for QScintilla
Summary(pl.UTF-8):	Plik API PyQt4 dla QScintilli
Group:		Libraries/Python
Requires:	python-qscintilla2 >= 2.2-2

%description -n qscintilla2-%{module}-api
PyQt4 API file can be used by the QScintilla editor component to
enable the use of auto-completion and call tips when editing PyQt4
code.

%description -n qscintilla2-%{module}-api -l pl.UTF-8
Plik API PyQt4 może być używany przez komponent edytora QScintilla aby
umożliwić automatyczne dopełnianie i podpowiedzi przy modyfikowaniu
kodu wykorzystującego PyQt4.

%prep
%setup -q -n PyQt-x11-gpl-%{version}
%{__sed} -i 's,pyuic.py,pyuic.pyc,' configure.py
# small hack to build for shared libs - symbol QT_SHARED not defined anymore?
%{__sed} -i 's/qt_shared = lines\[.*\]/qt_shared = "y"/' configure.py
%{__sed} -i 's/resp = sys.stdin.readline.*/resp = "yes"/' configure.py
%patch0 -p1
%patch1 -p1

%build
python configure.py \
	-c -j 3 \
	-a \
	-b %{_bindir} \
	-d %{py_sitedir} \
	-q "%{_bindir}/qmake-qt4" \
	-v %{_sipfilesdir}/%{module} \
	--dbus-path="%{py_sitedir}/dbus/mainloop" \
	LIBDIR_QT="%{_libdir}" \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

# don't use py_postclean, leave *.py in %{py_sitedir}/PyQt4/uic/widget-plugins
rm $RPM_BUILD_ROOT%{py_sitedir}/PyQt4/*.py
rm $RPM_BUILD_ROOT%{py_sitedir}/PyQt4/uic/*.py
rm $RPM_BUILD_ROOT%{py_sitedir}/PyQt4/uic/Compiler/*.py
rm $RPM_BUILD_ROOT%{py_sitedir}/PyQt4/uic/Loader/*.py
rm $RPM_BUILD_ROOT%{py_sitedir}/PyQt4/uic/port_v2/*.py
rm $RPM_BUILD_ROOT%{py_sitedir}/PyQt4/uic/port_v3/*.py

cp -R examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README THANKS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/qt4/plugins/designer/libpythonplugin.so
%dir %{py_sitedir}/PyQt4
%attr(755,root,root) %{py_sitedir}/PyQt4/*.so*
%dir %{py_sitedir}/dbus
%dir %{py_sitedir}/dbus/mainloop
%attr(755,root,root) %{py_sitedir}/dbus/mainloop/qt.so
%{py_sitedir}/PyQt4/*.py[co]
%{py_sitedir}/PyQt4/uic

%files devel
%defattr(644,root,root,755)
%{_sipfilesdir}/PyQt4

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files -n qscintilla2-%{module}-api
%defattr(644,root,root,755)
%{_datadir}/qt4/qsci/api/python/PyQt4.api

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyQt4.spec,v $
Revision 1.55  2010/07/29 09:02:25  witekfl
- sipver to 2:4.5.10 (due to bug in Python-2.7)
- rel 3

Revision 1.54  2010/07/13 08:09:01  matkor
- Release 2. BR: sipver 2:4.10.3.

Revision 1.53  2010/07/13 07:08:08  matkor
- Version 4.7.4-1.

Revision 1.52  2010/07/08 08:34:34  arekm
- release 2

Revision 1.51  2010/04/21 14:15:17  matkor
- Version 4.7.3. Sip version needed 4.10.2. Nasty segfaults on dctors fixed.

Revision 1.50  2010/03/22 19:55:44  wiget
- fix uic plugins instalation
- rel 3

Revision 1.49  2010/03/20 23:29:32  matkor
- Release 2. Rebuild with sip 4.10.1.

Revision 1.48  2010/03/20 13:34:42  charles
- updated to 4.7.2

Revision 1.47  2010/01/23 14:25:29  sparky
- don't ask about license

Revision 1.46  2010/01/22 22:27:40  charles
- updated to 4.7

Revision 1.45  2009/12/10 21:57:48  cactus
- up to 4.6.2

Revision 1.44  2009/10/26 20:16:40  charles
- up to 4.6.1

Revision 1.43  2009/10/11 18:36:44  rotom
- up to 4.6

Revision 1.42  2009/08/06 19:05:47  witekfl
- up to 4.5.4

Revision 1.41  2009/07/04 13:20:00  hawk
- license detection fix from upstream, release 2

Revision 1.40  2009/06/16 18:01:34  charles
- updated to 4.5.1

Revision 1.39  2009/06/11 11:48:58  cactus
- up to 4.5
- small hack to build for shared qt libs

Revision 1.38  2009/03/14 13:01:19  hawk
- release 2

Revision 1.37  2008/11/18 09:49:31  charles
- updated to 4.4.4

Revision 1.36  2008/10/16 16:49:41  cactus
- 64 bit patch added

Revision 1.35  2008/10/15 21:43:53  cactus
- release 7 (for python 2.6)

Revision 1.34  2008/10/14 06:42:48  arekm
- release 6

Revision 1.33  2008/10/05 12:09:40  rotom
- rel 5

Revision 1.32  2008/10/03 17:59:06  arekm
- release 4

Revision 1.31  2008/08/24 20:07:54  adamg
- -dbuspath.patch,put dbus/mainloop/qt.so in py_sitedir
- release 3

Revision 1.30  2008/08/20 07:34:00  hawk
- release 2

Revision 1.29  2008/08/17 20:27:15  qboosh
- cleanup

Revision 1.28  2008/08/17 18:19:29  qboosh
- pl for qscintilla2-PyQt4-api
- *.so must go to py_sitedir, not py_sitescriptdir; fix build process if it's still wrong

Revision 1.27  2008/08/11 18:01:41  charles
- R: python-dbus (%{py_sitescriptdir}/dbus/mainloop)

Revision 1.26  2008/08/11 17:47:40  charles
- updated BRs, %description and %build
- new subpackage qscintilla2-PyQt4-api (PyQt4 API file for QScintilla)

Revision 1.25  2008/08/09 08:37:30  rotom
- up to 4.4.3

Revision 1.24  2008/08/06 09:11:14  rotom
- some files added

Revision 1.23  2008/07/01 19:29:19  witekfl
- pass INSTALL_ROOT to make install

Revision 1.22  2008/07/01 14:14:57  cactus
- qt.so moved to /usr/lib/... - FHS
- added TODO

Revision 1.21  2008/06/30 16:07:19  cactus
- we can't move qt.so because : import dbus.mainloop.qt will not work

Revision 1.20  2008/05/25 16:57:33  twittner
- add BR: python-dbus-devel >= 0.80
- add omitted directories to %files
- rel. 1

Revision 1.19  2008-05-22 17:05:54  twittner
- add omitted files
- pass %__cc and %__cxx (for ccache)
- rel. 0.2 - builds, but due to th-i686 builder illness hasn't tested yet.

Revision 1.18  2008-05-22 10:04:06  twittner
- up to 4.4.2
- rel. 0.1 (even building hasn't tested yet - lack of newer sip on carme)

Revision 1.17  2008-01-04 19:41:24  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.16  2007-12-06 19:44:21  rotom
- up to 4.3.3

Revision 1.15  2007-11-11 16:29:08  arekm
- up to 4.3.1

Revision 1.14  2007/08/03 20:51:06  twittner
- fixed duoble PyQt4/PyQt4 in modules path
- rel. 1

Revision 1.13  2007/08/02 18:30:52  twittner
- added missing BR: QtScript-devel

Revision 1.12  2007/07/31 17:57:36  twittner
- up to 4.3

Revision 1.11  2007/06/12 21:50:05  arekm
- rel 3

Revision 1.10  2007/04/11 08:38:41  shadzik
- fix %files
- rel 2

Revision 1.9  2007/04/11 01:56:34  shadzik
- 4.2
- updated BRs

Revision 1.8  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.6  2006/12/25 04:02:31  charles
- BR: QtTest-devel

Revision 1.5  2006/12/15 21:43:42  prism
- 4.1.1, seems to work nicely with Qt 4.2.2

Revision 1.4  2006/02/22 06:19:23  charles
- snap 20060221

Revision 1.3  2006/02/19 01:31:57  charles
- s/pyuic.py/pyuic.pyc/ (called from pyuic4 wrapper)

Revision 1.2  2006/02/18 10:23:15  qboosh
- typo, missing dirs

Revision 1.1  2006/02/18 02:42:32  charles
- initial release
